[tool.poetry]
name = "documents"
version = "0.0.0"  # overridden by poetry-arbitrary-version-plugin
description = "Prologin's documents generation tool"
authors = ["Association Prologin <info@prologin.org>"]

[tool.poetry.dependencies]
python = "^3.10"
jinja2 = "^3"
jsonschema = "^4"
pyyaml = "^6"

[tool.poetry.dev-dependencies]
black = "*"
isort = "*"
pre-commit = "*"

[tool.poetry.scripts]
documents = "documents:_main"

[build-system]
requires = ["poetry-core>=1.0.0"]
build-backend = "poetry.core.masonry.api"

[tool.black]
line-length = 79

[tool.isort]
profile = "black"
multi_line_output = 3
